# std::experimental::filesystem::directory_entry::path

From cppreference.com
< cpp‎ | experimental‎ | fs‎ | directory entry

const path& path() const; |  | (filesystem TS)
operator const path& () const; |  | (filesystem TS)

Returns the full path the directory entry refers to.

### Parameters

(none)

### Return value

The full path the directory entry refers to.

### Exceptions

`noexcept` specification:
noexcept

### See also

| This section is incomplete

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/directory_entry/path&oldid=91576"